## fyta-cli 0.7.2

=== requirements.txt ===
aiohttp==3.10.11
aioresponses == 0.7.6
mashumaro>=3.13
syrupy == 4.6.1

=== debian/changelog ===
fyta-cli (0.7.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Mar 2025 21:58:30 +0000

fyta-cli (0.7.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1100932)

 -- Edward Betts <edward@4angle.com>  Thu, 20 Mar 2025 15:42:03 +0000

=== debian/control ===
Source: fyta-cli
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-mashumaro <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/dontinelli/fyta_cli
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/fyta-cli
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/fyta-cli.git
Testsuite: autopkgtest-pkg-python

Package: python3-fyta-cli
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to access the FYTA API
 This library provides access to the FYTA API, designed for managing plant care
 through smart technology. It enables interaction with FYTA's smart plant
 system, allowing users to read data from various sensors. The library also
 sends commands to interact with connected devices, offering a digital bridge
 to monitor plant health variables, such as soil moisture, light exposure,
 temperature, and more, through Wi-Fi enabled devices.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--asyncio-mode=auto -k "not test_get_plant_list and not test_get_plant_data"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/dontinelli/fyta_cli/tags .*/v?(\d\S+)\.tar\.gz
